#
# spec file for package yp-tools (Version 2.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libxcrypt-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           yp-tools
BuildRequires:  libxcrypt-devel
License:        GPL
Group:          Productivity/Networking/NIS
Provides:       ypclient:/usr/bin/ypwhich
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        2.9
Release:        16.2
Summary:        Network Information Service (YP) client utilities
Source:         yp-tools-%{version}.tar.bz2
Source1:        match_printcap
Patch:          yp-tools-%{version}.diff

%description
This packages contains some useful tools for accessing NIS maps or to
test NIS configurations.



Authors:
--------
    Thorsten Kukuk <kukuk@suse.de>

%debug_package
%prep
%setup -q
%patch

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --enable-call-passwd --enable-domainname --mandir=%{_mandir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# Not yet
rm -f $RPM_BUILD_ROOT/usr/sbin/ypserv_test
cp -a $RPM_BUILD_ROOT%{_mandir}/man8/domainname.8 $RPM_BUILD_ROOT%{_mandir}/man8/nisdomainname.8
cp -a $RPM_BUILD_ROOT%{_mandir}/man8/domainname.8 $RPM_BUILD_ROOT%{_mandir}/man8/ypdomainname.8
mkdir -p $RPM_BUILD_ROOT/usr/lib/yp
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/yp
rm $RPM_BUILD_ROOT/bin/domainname $RPM_BUILD_ROOT/usr/share/man/man8/domainname.8
%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%dir /var/yp
%config(noreplace) /var/yp/nicknames
/bin/ypdomainname
/bin/nisdomainname
/usr/bin/ypcat
/usr/bin/ypchfn
/usr/bin/ypchsh
/usr/bin/ypmatch
/usr/bin/yppasswd
/usr/bin/ypwhich
%dir /usr/lib/yp
/usr/lib/yp/match_printcap
%doc %{_mandir}/man1/ypcat.1.gz
%doc %{_mandir}/man1/ypchfn.1.gz
%doc %{_mandir}/man1/ypchsh.1.gz
%doc %{_mandir}/man1/ypmatch.1.gz
%doc %{_mandir}/man1/yppasswd.1.gz
%doc %{_mandir}/man1/ypwhich.1.gz
%doc %{_mandir}/man5/nicknames.5.gz
%doc %{_mandir}/man8/yppoll.8.gz
%doc %{_mandir}/man8/ypset.8.gz
%doc %{_mandir}/man8/yptest.8.gz
%doc %{_mandir}/man8/ypdomainname.8.gz
%doc %{_mandir}/man8/nisdomainname.8.gz
/usr/sbin/yppoll
/usr/sbin/ypset
/usr/sbin/yptest

%changelog -n yp-tools
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - schwab@suse.de
- Don't strip binaries.
* Mon Jun 21 2004 - kukuk@suse.de
- Update to 2.9 (minor documentation and bug fixes)
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Wed Jun 11 2003 - kukuk@suse.de
- Use %%find_lang
* Thu May 15 2003 - kukuk@suse.de
- Add hint about programs, which cache the domainname, to the
  manual page of domainname. [Bug #18975]
* Fri Jan 17 2003 - kukuk@suse.de
- Update to version 2.8 (includes all extra patches)
* Thu Aug 29 2002 - kukuk@suse.de
- Make sure strings are NUL terminated after strncpy
* Mon May 27 2002 - kukuk@suse.de
- Apply fixes for typos
* Mon May 13 2002 - kukuk@suse.de
- Update to yp-tools 2.7 (Add yptest, improve options of ypcat)
- Use libxcrypt
* Wed Oct 31 2001 - kukuk@suse.de
- Update to yp-tools 2.6 (fixed setlocale calls)
* Sun Apr 15 2001 - schwab@suse.de
- Fix missing declarations.
* Thu Apr 12 2001 - kukuk@suse.de
- Change patch and configure call for new gettext version
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Wed Mar 21 2001 - kukuk@suse.de
- Update to 2.5
* Thu Nov 02 2000 - kukuk@suse.de
- New, split from old ypclients package
